io.milvus.bulkwriter.common.utils

## Class ParquetReaderUtils

- java.lang.Object
- - io.milvus.bulkwriter.common.utils.ParquetReaderUtils

-     public abstract class ParquetReaderUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParquetReaderUtils()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `readParquet(java.lang.String localFilePath)`
    `abstract void` | `readRecord(org.apache.avro.generic.GenericData.Record record)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParquetReaderUtils

          public ParquetReaderUtils()

  - ### Method Detail

    - #### readParquet

          public void readParquet(java.lang.String localFilePath)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readRecord

          public abstract void readRecord(org.apache.avro.generic.GenericData.Record record)